Subject: Re: bug#76394: mouse-face property not working in tab-bar

From: Juri Linkov <[email-masked]>
Date: Wed, 05 Mar 2025 09:50:10 +0200

> Given that text properties don't nest, I matched the faces and use separate
> mouse-face properties for each component so they could be highlighted
> separately.  Look at the attached screenshots.  You still might not like
> it.  I also handled the case where the close button might be text only vs.
> icon so it works for both.

Does using 'add-face-text-property' (like in 'tab-bar-tab-name-format-face')
instead of 'propertize' help to make the close button look like part of the tab?